Page MenuHomePhabricator

LiquidThreads allows you to reply when it's not a LQT talk page
Closed, ResolvedPublic

Description

It doesn't seem to check LqtDispatch on this reply path. Reported by @Ciencia_Al_Poder at T92303#1502810 .

Tested at https://www.mediawiki.org/w/index.php?title=Thread:User_talk:Superm401/Hello!/reply&oldid=1812176

Also on other pages. E.g. https://www.mediawiki.org/wiki/Thread:Project_talk:Language_policy/Migration_list/Status .

When {{#useliquidthreads:1}} is removed from the page, it should look the same but the LQT buttons should not be there.

They should also not be able to reply in Special:NewMessages in this case.

Event Timeline

Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF raised the priority of this task from to Needs Triage.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 4 2015, 4:19 PM
Mattflaschen-WMF renamed this task from LiquidThreads allows you to reply via Special:NewMessages when it's not a LQT talk page to LiquidThreads allows you to reply when it's not a LQT talk page.Aug 4 2015, 6:20 PM
Mattflaschen-WMF updated the task description. (Show Details)
DannyH triaged this task as Normal priority.Aug 4 2015, 10:41 PM
SBisson updated the task description. (Show Details)Aug 5 2015, 7:34 PM
SBisson claimed this task.
SBisson updated the task description. (Show Details)Aug 5 2015, 7:41 PM
SBisson updated the task description. (Show Details)
SBisson updated the task description. (Show Details)
SBisson updated the task description. (Show Details)

Change 230109 had a related patch set uploaded (by Sbisson):
[WIP] Do not show 'reply' button for pages without LQT

https://gerrit.wikimedia.org/r/230109

Change 230109 abandoned by Sbisson:
[WIP] Do not show 'reply' button for pages without LQT

Reason:
New patch from scratch coming.

https://gerrit.wikimedia.org/r/230109

Change 230224 had a related patch set uploaded (by Sbisson):
[WIP] Disable write actions when a page is not LQT

https://gerrit.wikimedia.org/r/230224

DannyH raised the priority of this task from Normal to High.Aug 11 2015, 5:22 PM
DannyH added a subscriber: DannyH.

Change 230224 merged by jenkins-bot:
Disable write actions when a page is not LQT

https://gerrit.wikimedia.org/r/230224

DannyH closed this task as Resolved.Aug 19 2015, 6:32 PM